Форум программистов, компьютерный форум, киберфорум
Apache, htaccess
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.57/21: Рейтинг темы: голосов - 21, средняя оценка - 4.57
2 / 2 / 0
Регистрация: 06.06.2009
Сообщений: 306
1

Какие версии php, mysql и appache нужно скачать с официального сайта

18.11.2013, 14:00. Показов 4118. Ответов 18
Метки нет (Все метки)

Здравствуйте! Подскажите какие версии PHP, Mysql и appache нужно скачать с официального
сайта для правильной установки. Чтобы они не конфликтовали.

Заранее благодарю.
0

Помощь в написании контрольных, курсовых и дипломных работ здесь.

Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
18.11.2013, 14:00
Ответы с готовыми решениями:

Как скачать Апачи с официального сайта
Подскажитк как тут http://httpd.apache.org/download.cgi качнуть сам Апачи....что то я вообще не...

Скачать windows 8 с официального сайта
Именно скачать, а не купить! Ссылка:...

Где с официального сайта скачать GCC?
Я ни как не могу найте где на оф. сайте есть ссылки на загрузку. Подскажите пожалуйста.

Где скачать RichTextBox с официального сайта Microsoft...
Я так понимаю, что этот элемент управления (RichTextBox) идёт вместе с программой Microsoft Visual...

18
332 / 315 / 17
Регистрация: 25.10.2012
Сообщений: 1,067
18.11.2013, 14:40 2
Цитата Сообщение от Fellinggood Посмотреть сообщение
Здравствуйте! Подскажите какие версии PHP, Mysql и appache нужно скачать с официального
сайта для правильной установки. Чтобы они не конфликтовали.
последние
PHP - 5.4 требует дополнительной установки VC9, 5.5 не работает на ХР/2003 и требует дополнительной установки VC11
MySQL - 5.6 не работает на ХР/2003
Apache Lounge или Apache Haus 2.2/2.4 на свой вкус (VC11 не работает на ХР/2003)

Почитайте ПО для запуска сайта с домашнего компьютера
0
2 / 2 / 0
Регистрация: 06.06.2009
Сообщений: 306
18.11.2013, 15:00  [ТС] 3
Цитата Сообщение от svsw Посмотреть сообщение
PHP - 5.4 требует дополнительной установки VC9
А что значит VC9, можно подробно какие программы (PHP, Mysql, appache) и откуда нужно скачать, чтобы все пошло если настраиваю сервер руками?
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 15:59 4
Если хотите на Windows настроить свежие версии, то просто как раньше у вас не получится, из-за VC и т.д.
Вот если хотите установить все самое свежее, можете сделать по этому видео http://www.youtube.com/watch?v=bnuAD3b5t9c и все будет работать. Но учтите, что если будете использовать новый функционал PHP 5.5 то на многих хостингах его нет и в ближайшее время не будет. Хотя по этому же примеру можно собрать и 5.4. Смысл тотже.
1
2 / 2 / 0
Регистрация: 06.06.2009
Сообщений: 306
18.11.2013, 16:02  [ТС] 5
Цитата Сообщение от DebianLife Посмотреть сообщение
Если хотите на Windows настроить свежие версии, то просто как раньше у вас не получится, из-за VC и т.д
А где взять старые версии ?
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 16:06 6
Цитата Сообщение от Fellinggood Посмотреть сообщение
А где взять старые версии ?
Все тамже, смотрите видео, и все станет ясно. Но можете и ставить новые версии, если вы не умеете устанавливать сервер на Win, то врядли вы знаете о существовании нововведений в новой версии PHP. И поэтому проблем при переносе скриптов на хостинг проблем не будет.
0
2 / 2 / 0
Регистрация: 06.06.2009
Сообщений: 306
18.11.2013, 16:09  [ТС] 7
Цитата Сообщение от DebianLife Посмотреть сообщение
Все тамже, смотрите видео, и все станет ясно. Но можете и ставить новые версии, если вы не умеете устанавливать сервер на Win, то врядли вы знаете о существовании нововведений в новой версии PHP. И поэтому проблем при переносе скриптов на хостинг проблем не будет.
Сейчас там есть только версии VC11 и VC9, а VC6 нету на официальном сайте php
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 16:14 8
Цитата Сообщение от Fellinggood Посмотреть сообщение
Сейчас там есть только версии VC11 и VC9, а VC6 нету на официальном сайте php
А зачем вам VC6 собирайте новые версии ПО, зачем вам старье? В каждой версии что-то меняется, что-то становится Диприкейт и т.д, по этому лучше своевременно переходить на более свежие версии, единственная проблема которая у вас может возникнуть, это если вы будете использовать новый функционал PHP 5.5, но вы о них знаете? Я думаю что нет, а если знаете то используйте с умом, в расчете на то, что на хостинге где потом будут работать ваши скрипты, тоже стоял 5.5. В остальном тоже самое.
0
332 / 315 / 17
Регистрация: 25.10.2012
Сообщений: 1,067
18.11.2013, 16:30 9
Цитата Сообщение от Fellinggood Посмотреть сообщение
А что значит...
VC9 - Visual C++ Redistributable for Visual Studio 2008
VC11 - Visual C++ Redistributable for Visual Studio 2012
Ссылки я дал выше

В посте ПО для запуска сайта с домашнего компьютера я привел ссылки на статьи по интересующей вас теме. Это типа хау-ту отдуда качать, как установить и настроить на XP/7/2003/2008. Прочитайте статьи последовательно и внимательно плз и у вас все получится

Цитата Сообщение от DebianLife Посмотреть сообщение
Если хотите на Windows настроить свежие версии, то просто как раньше у вас не получится, из-за VC и т.д.
не говорите ерунды если не знаете сути вопроса
VC6 по умолчанию включен в XP SP3, VC9 - в Win7
Для других версий необходима дополнительная установка VCx

Добавлено через 1 минуту
Цитата Сообщение от Fellinggood Посмотреть сообщение
А где взять старые версии ?
старые версии на 7/2008 вывалят вам гору граблей
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 16:32 10
Цитата Сообщение от svsw Посмотреть сообщение
не говорите ерунды если не знаете сути вопроса
VC6 по умолчанию включен в XP SP3, VC9 - в Win7
Для других версий необходима дополнительная установка VCx
Я знаю суть вопроса, я просто не вдавался в подробности, я имел введу что не получится скачать с оф сайта Apache 2.4 и PHP 5.4 или PHP 5.5 и собрать. Как раз из за VCx. Я имею введу не получится как раньше подправив слегка конфиги.
0
332 / 315 / 17
Регистрация: 25.10.2012
Сообщений: 1,067
18.11.2013, 16:43 11
Цитата Сообщение от DebianLife Посмотреть сообщение
не получится скачать с оф сайта Apache 2.4 и PHP 5.4 или PHP 5.5 и собрать.
На виндах ставится все из бинарников, хотя скомпилить из исходников тоже не проблема
ASF уже давным давно не продвигает апач под винды. Этим занимается Apache Lounge и Apache Haus (см ссылки выше)
да и на оф сайте пхп рекомендуют Апач Лаундж
Apache

Please use the Apache builds provided by Apache Lounge. They also provide VC11 builds of Apache for x86 and x64. We use their binaries to build the Apache SAPIs.

If you are using PHP with Apache 1 or Apache2 from apache.org (not recommended) you need to use the older VC6 versions of PHP compiled with the legacy Visual Studio 6 compiler. Do NOT use VC9+ versions of PHP with the apache.org binaries.
Добавлено через 2 минуты
Цитата Сообщение от DebianLife Посмотреть сообщение
Я имею введу не получится как раньше подправив слегка конфиги
а конфиги полюбому править приходится под свои проекты
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 16:48 12
Цитата Сообщение от svsw Посмотреть сообщение
а конфиги полюбому править приходится под свои проекты
Это само собой разумеется, я просто дал человеку легкий путь поставить свежие версии, и как я понял человеку просто нужно это для локального использования (для разработки). Ибо продакшин сервер, не один здравомыслящий человек не станет поднимать на Win.
0
2 / 2 / 0
Регистрация: 06.06.2009
Сообщений: 306
18.11.2013, 16:49  [ТС] 13
Цитата Сообщение от DebianLife Посмотреть сообщение
но вы о них знаете? Я думаю что нет
Это о чем?
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 16:53 14
Цитата Сообщение от Fellinggood Посмотреть сообщение
Это о чем?
Это о новых возможностях, которые появились в PHP 5.5. Язык развивается и каждый раз что-то добавляют новое, нове функции, классы и т.д. и т.п.
0
332 / 315 / 17
Регистрация: 25.10.2012
Сообщений: 1,067
18.11.2013, 16:57 15
Цитата Сообщение от DebianLife Посмотреть сообщение
просто нужно это для локального использования (для разработки)
проще использовать open server для девелопмента, чем долбаться с настройкой
Цитата Сообщение от DebianLife Посмотреть сообщение
Ибо продакшин сервер, не один здравомыслящий человек не станет поднимать на Win.
тухловатая инфа однако... ибо я не считаю Стефена Лэнда глупцом, а его проект Apache Lounge бирюльками (Apache 2.4.6 @ WinServer 2012R2)
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 17:06 16
Цитата Сообщение от svsw Посмотреть сообщение
проще использовать open server для девелопмента, чем долбаться с настройкой
я лично не признаю не какие сборки, предпочитаю все устанавливать и собирать сам лично. И как правило все брать только из оф источников и оф репах. Но это моё личное мнение. Вообще не признаю код в котором кто либо копался, кроме разработчиков и меня.
Цитата Сообщение от svsw Посмотреть сообщение
тухловатая инфа однако... ибо я не считаю Стефена Лэнда глупцом, а его проект Apache Lounge бирюльками (Apache 2.4.6 @ WinServer 2012R2)
Это ваше мнение, но я считаю что web-сервер должен работать на Nixax, и не как иначе, Windows хоть десктоп, хоть сервер, это хрень собачая, а не операционка. И в этом меня никто не переубедит. Для меня лично, на десктопе это только OSX на сервере это только Debian.
0
svsw
18.11.2013, 17:23
  #17

Не по теме:

Цитата Сообщение от DebianLife Посмотреть сообщение
Это ваше мнение...
к счастью это не только мое мнение

Цитата Сообщение от DebianLife Посмотреть сообщение
но я считаю что web-сервер должен работать на Nixax, и не как инач... Для меня лично, на десктопе это только OSX на сервере это только Debian.
Это тоже мнение не только ваше, хотя и застарелое...

Цитата Сообщение от DebianLife Посмотреть сообщение
Windows хоть десктоп, хоть сервер, это хрень собачая, а не операционка. И в этом меня никто не переубедит
Вы не любите кошек?! Вы просто не умеете их готовить!

Цитата Сообщение от DebianLife Посмотреть сообщение
скачать с оф сайта Apache 2.4 и PHP 5.4 или PHP 5.5 и собрать. Как раз из за VCx.
именно из этой фразы понятно, что вы не знаете сути вопроса, да и винды наверное
WBR

0
magirus
18.11.2013, 17:30
  #18
 Комментарий администратора 
Уважаемые, прошу воздержаться от дальнейшего оффтопа.
0
16 / 16 / 1
Регистрация: 13.12.2012
Сообщений: 191
18.11.2013, 17:33 19
Цитата Сообщение от svsw Посмотреть сообщение
Вы не любите кошек?! Вы просто не умеете их готовить!
Вы хотите сказать что настраивать сервер на Win легче чем на Nix? )) Не смешите, я кучу времени убил на Win еще начиная с Win 98, и всю жизнь только разочаровывался в этой гавно-операционке, ее не возможно настроить так, чтобы все было, конфетка, вечно то висит, то экраны смерти, то перезагрузки, короче вечно хрень с ней какая-то происходит. А Linux один раз хорошо настроил под свои нужды, включил, и годами он работает и не падает. И как часики.

Добавлено через 1 минуту
Цитата Сообщение от magirus Посмотреть сообщение
Уважаемые, прошу воздержаться от дальнейшего оффтопа.
Все замолкаю )) А то уже админ ругается )) Пользуйтесь своей Windows на здоровье ))
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
18.11.2013, 17:33

Сборка appache, php, mysql как правильно установить
Здравствуйте! А есть какая-нибудь подробная инструкция по настройке appache, php и mysql с...

Как понять, какой образ нужно качать с официального сайта?
Зашел на сайт http://www.debian.org/ выбрал ISO СD вот ссылка...

Какие версии PHP нужны на хостинге?
Здравствуйте! Купил VDS, где собираюсь размещать 50-70 клиентов. Возник вопрос по поводу версий php...

PHP 5.5 И Appache 2.2
Всем привет! Есть сервер с установленной, Apchce 2.2 и PHP 5.3, нужно обновить php до 5.5, но...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
19
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.